## python-pyvcf 0.6.8+git20170215.476169c

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyVCF.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyVCF.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyVCF"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyVCF"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-pyvcf 0.6.7

=== debian/changelog ===
python-pyvcf (0.6.7-2build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:43:03 +0000

python-pyvcf (0.6.7-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Change python3-dev build-dep to python3-all-dev so package is built for
    all supported python3 versions
    Closes: #809487

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 12:22:30 +0100

python-pyvcf (0.6.7-1) unstable; urgency=medium

  * Initial upload (Closes: #801722)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2015 22:58:18 +0200

=== debian/control ===
Source: python-pyvcf
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               cython,
               python-dev (>= 2.7),
               python-setuptools,
               cython3,
               python3-all-dev,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pyvcf.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-pyvcf.git
Homepage: https://pypi.python.org/pypi/PyVCF

Package: python-pyvcf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: Variant Call Format (VCF) parser for Python
 The Variant Call Format (VCF) specifies the format of a text file used
 in bioinformatics for storing gene sequence variations. The format has
 been developed with the advent of large-scale genotyping and DNA
 sequencing projects, such as the 1000 Genomes Project.
 .
 The intent of this module is to mimic the ``csv`` module in the Python
 stdlib, as opposed to more flexible serialization formats like JSON or
 YAML. ``vcf`` will attempt to parse the content of each record based on
 the data types specified in the meta-information lines -- specifically
 the ##INFO and
 ##FORMAT lines. If these lines are missing or incomplete, it will check
 against the reserved types mentioned in the spec. Failing that, it will
 just return strings.
 .
 This package provides the Python 2 modules.

Package: python3-pyvcf
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Variant Call Format (VCF) parser for Python 3
 The Variant Call Format (VCF) specifies the format of a text file used
 in bioinformatics for storing gene sequence variations. The format has
 been developed with the advent of large-scale genotyping and DNA
 sequencing projects, such as the 1000 Genomes Project.
 .
 The intent of this module is to mimic the ``csv`` module in the Python
 stdlib, as opposed to more flexible serialization formats like JSON or
 YAML. ``vcf`` will attempt to parse the content of each record based on
 the data types specified in the meta-information lines -- specifically
 the ##INFO and
 ##FORMAT lines. If these lines are missing or incomplete, it will check
 against the reserved types mentioned in the spec. Failing that, it will
 just return strings.
 .
 This package provides the Python 3 modules.

Package: pyvcf
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pyvcf
Description: helper scripts for Variant Call Format (VCF) parser
 The Variant Call Format (VCF) specifies the format of a text file used
 in bioinformatics for storing gene sequence variations. The format has
 been developed with the advent of large-scale genotyping and DNA
 sequencing projects, such as the 1000 Genomes Project.
 .
 The intent of this module is to mimic the ``csv`` module in the Python
 stdlib, as opposed to more flexible serialization formats like JSON or
 YAML. ``vcf`` will attempt to parse the content of each record based on
 the data types specified in the meta-information lines -- specifically
 the ##INFO and
 ##FORMAT lines. If these lines are missing or incomplete, it will check
 against the reserved types mentioned in the spec. Failing that, it will
 just return strings.
 .
 This package provides helper scripts using python3-pyvcf.

Package: python-pyvcf-examples
Architecture: all
Depends: ${misc:Depends}
Suggests: python3-pyvcf | python-pyvcf
Description: Example data for Variant Call Format (VCF) parser for Python
 The Variant Call Format (VCF) specifies the format of a text file used
 in bioinformatics for storing gene sequence variations. The format has
 been developed with the advent of large-scale genotyping and DNA
 sequencing projects, such as the 1000 Genomes Project.
 .
 The intent of this module is to mimic the ``csv`` module in the Python
 stdlib, as opposed to more flexible serialization formats like JSON or
 YAML. ``vcf`` will attempt to parse the content of each record based on
 the data types specified in the meta-information lines -- specifically
 the ##INFO and
 ##FORMAT lines. If these lines are missing or incomplete, it will check
 against the reserved types mentioned in the spec. Failing that, it will
 just return strings.
 .
 This package provides example data to test the Python modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pyvcf
examplesdir=debian/python-$(PYBUILD_NAME)-examples/usr/share/doc/python-$(PYBUILD_NAME)-examples
helperdir=debian/$(PYBUILD_NAME)/usr

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# move testdata to separate dir
	mkdir -p $(examplesdir)
	mv `find debian/python-$(PYBUILD_NAME) -type d -name test | head -n 1` $(examplesdir)
	find debian/python3-$(PYBUILD_NAME) -type d -name test | xargs rm -rf
	find $(examplesdir) -name "*.pyc" -delete
	mkdir -p $(helperdir)
	mv debian/python3-$(PYBUILD_NAME)/usr/bin $(helperdir)
	# strip .py extension
	mv $(helperdir)/bin/vcf_filter.py $(helperdir)/bin/vcf_filter
	rm -rf debian/python-$(PYBUILD_NAME)/usr/bin

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
# Test-Data needs to be fetched separately from Git so wee need to call get-orig-source

version=3
https://pypi.python.org/pypi/PyVCF .*/PyVCF-([0-9.]+).tar.[xgb]z2? \
  debian debian/get-orig-source

## python-pyvcf 0.6.8

=== debian/changelog ===
python-pyvcf (0.6.8-1ubuntu4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:52 +0000

python-pyvcf (0.6.8-1ubuntu3) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 17:58:57 +0530

python-pyvcf (0.6.8-1ubuntu2) artful; urgency=medium

  * Revert PIE changes now as ubuntu has got latest dpkg. 

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 26 Apr 2017 10:37:20 +0530

python-pyvcf (0.6.8-1ubuntu1) zesty; urgency=medium

  * Disable PIE for building a Python extension

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 13 Feb 2017 19:27:24 +0200

python-pyvcf (0.6.8-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * cme fix dpkg-control
  * debhelper 10
  * hardening=+all
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2016 20:33:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: python-pyvcf
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                cython,
-               python-dev (>= 2.7),
+               python-dev,
                python-setuptools,
                cython3,
                python3-all-dev,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pyvcf.git
-Vcs-Git: git://anonscm.debian.org/debian-med/python-pyvcf.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pyvcf.git
 Homepage: https://pypi.python.org/pypi/PyVCF
 
 Package: python-pyvcf

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_NAME=pyvcf
 examplesdir=debian/python-$(PYBUILD_NAME)-examples/usr/share/doc/python-$(PYBUILD_NAME)-examples
@@ -21,7 +23,9 @@
 	mkdir -p $(helperdir)
 	mv debian/python3-$(PYBUILD_NAME)/usr/bin $(helperdir)
 	# strip .py extension
-	mv $(helperdir)/bin/vcf_filter.py $(helperdir)/bin/vcf_filter
+	for py in $(helperdir)/bin/*.py ; do \
+	    mv $${py} $(helperdir)/bin/`basename $${py} .py` ; \
+	done
 	rm -rf debian/python-$(PYBUILD_NAME)/usr/bin
 
 get-orig-source:

=== debian/watch ===
# Test-Data needs to be fetched separately from Git so wee need to call get-orig-source
version=4
http://pypi.debian.net/PyVCF/PyVCF-(.+)\.(?:tar(?:\.gz|\.bz2)?|tgz) \
  debian debian/get-orig-source

## python-pyvcf 0.6.8%2Bgit20170215.476169c

=== debian/control ===
--- 
+++ 
@@ -1,49 +1,29 @@
 Source: python-pyvcf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-python,
-               cython,
-               python-dev,
-               python-setuptools,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                cython3,
                python3-all-dev,
-               python3-setuptools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-pyvcf.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/python-pyvcf.git
-Homepage: https://pypi.python.org/pypi/PyVCF
+               python3-setuptools,
+               python3-pytest <!nocheck>,
+               python3-pysam <!nocheck>
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/med-team/python-pyvcf
+Vcs-Git: https://salsa.debian.org/med-team/python-pyvcf.git
+Homepage: https://github.com/jamescasbon/PyVCF
+Rules-Requires-Root: no
 
-Package: python-pyvcf
+Package: python3-vcf
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
-Description: Variant Call Format (VCF) parser for Python
- The Variant Call Format (VCF) specifies the format of a text file used
- in bioinformatics for storing gene sequence variations. The format has
- been developed with the advent of large-scale genotyping and DNA
- sequencing projects, such as the 1000 Genomes Project.
- .
- The intent of this module is to mimic the ``csv`` module in the Python
- stdlib, as opposed to more flexible serialization formats like JSON or
- YAML. ``vcf`` will attempt to parse the content of each record based on
- the data types specified in the meta-information lines -- specifically
- the ##INFO and
- ##FORMAT lines. If these lines are missing or incomplete, it will check
- against the reserved types mentioned in the spec. Failing that, it will
- just return strings.
- .
- This package provides the Python 2 modules.
-
-Package: python3-pyvcf
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-pysam
+Provides: python3-pyvcf
 Description: Variant Call Format (VCF) parser for Python 3
  The Variant Call Format (VCF) specifies the format of a text file used
  in bioinformatics for storing gene sequence variations. The format has
@@ -65,7 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-pyvcf
+         python3-vcf
 Description: helper scripts for Variant Call Format (VCF) parser
  The Variant Call Format (VCF) specifies the format of a text file used
  in bioinformatics for storing gene sequence variations. The format has
@@ -85,8 +65,8 @@
 
 Package: python-pyvcf-examples
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: python3-pyvcf | python-pyvcf
 Description: Example data for Variant Call Format (VCF) parser for Python
  The Variant Call Format (VCF) specifies the format of a text file used
  in bioinformatics for storing gene sequence variations. The format has

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=vcf
examplesdir=debian/python-py$(PYBUILD_NAME)-examples/usr/share/doc/python3-$(PYBUILD_NAME)
helperdir=debian/py$(PYBUILD_NAME)/usr

export PYBUILD_BEFORE_TEST = mkdir {build_dir}/vcf; \
	cp -r {dir}/vcf/test {build_dir}/vcf/

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	# move testdata to separate dir
	mkdir -p $(examplesdir)
	mv `find debian/python3-$(PYBUILD_NAME) -type d -name test | head -n 1` $(examplesdir)
	find debian/python3-$(PYBUILD_NAME) -type d -name test | xargs rm -rf
	find $(examplesdir) -name "__pycache__" | xargs rm -rf
	mkdir -p $(helperdir)
	mv debian/python3-$(PYBUILD_NAME)/usr/bin $(helperdir)
	# strip .py extension
	for py in $(helperdir)/bin/*.py ; do \
	    mv $${py} $(helperdir)/bin/`basename $${py} .py` ; \
	done

override_dh_python3:
	dh_python3 --verbose
# parser.py is different for Python3 versions - so do not fiddle around with this
#	# No idea why this installs to python3.7 but should rather be python3
#	vcfp3dir=`find debian/*/usr/lib -type d -name python3.7` ; \
#	if [ "$${vcfp3dir}" != "" ] ; then mv $${vcfp3dir} `dirname $${vcfp3dir}`/python3 ; fi

## python-pyvcf 0.6.8+git20170215.476169c

=== debian/changelog ===
python-pyvcf (0.6.8+git20170215.476169c-12) unstable; urgency=medium

  [ Andreas Tille ]
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

  [ Chris Lamb ]
  * Build reproducibly
    Closes: #1121143

 -- Andreas Tille <tille@debian.org>  Fri, 21 Nov 2025 20:55:16 +0100

python-pyvcf (0.6.8+git20170215.476169c-11) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083698)
  * Fix patch header format
  * Use setuptools instead of deprecated distutils
  * Use raw strings to prevent invalid escape sequences
    in regex (Closes: 1079359)
  * Use execute_after target instead of overriding dh_install
  * Bump standards version to 4.7.0 (no changes needed)

 -- Ananthu C V <weepingclown@disroot.org>  Tue, 26 Nov 2024 21:49:45 +0530

python-pyvcf (0.6.8+git20170215.476169c-10) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * d/clean: Remove autogenerated file, vcf/cparse.c (Closes: #1046140)
  * d/control: Replace autopkgtest-pkg-python with autopkgtest-pkg-pybuild
  * d/rules: Copy tests to build directory
  * d/tests: Removed, run upstream tests with autopkgtest-pkg-pybuild
  * d/python-pyvcf-examples.lintian-overrides: Removed, override unused

 -- Lance Lin <lq27267@gmail.com>  Mon, 04 Dec 2023 20:55:29 +0700

python-pyvcf (0.6.8+git20170215.476169c-9) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Fix 'TypeError: "quotechar" must be a 1-character string'
    Closes: #1024063

 -- Andreas Tille <tille@debian.org>  Mon, 14 Nov 2022 14:00:33 +0100

python-pyvcf (0.6.8+git20170215.476169c-8) unstable; urgency=medium

  * Team Upload.
  * d/patches:
    - fix-setuptools.patch: Fix FTBFS with new setuptools
    - 2to3.patch: Change python2 syntax to python3
  * d/control:
    - Change homepage to github
    - Bump debhelper compatibility level to 13
    - Bump Standards-Version to 4.6.0 (no changes needed)
    - Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 12:51:04 +0530

python-pyvcf (0.6.8+git20170215.476169c-7) unstable; urgency=medium

  * Test-Depends: python3-pytest
    Closes: #951863
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Feb 2020 17:08:31 +0100

python-pyvcf (0.6.8+git20170215.476169c-6) unstable; urgency=medium

  * Make sure executables will be installed
    Closes: #948720
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 17:30:39 +0100

python-pyvcf (0.6.8+git20170215.476169c-5) unstable; urgency=medium

  * Breaks+Replaces: python3-pyvcf
    Closes: #946427
  * Run Build-Time test
  * Add autopkgtest
  * Depends: python3-pysam
  * Fix dependency for pyvcf package

 -- Andreas Tille <tille@debian.org>  Mon, 09 Dec 2019 11:12:54 +0100

python-pyvcf (0.6.8+git20170215.476169c-3) unstable; urgency=medium

  * Rename Python3 module package from python3-pyvcf to python3-vcf
    to follow DPMT policy
  * Standards-Version: 4.4.1

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2019 12:47:44 +0100

python-pyvcf (0.6.8+git20170215.476169c-2) unstable; urgency=medium

  * Drop Python2 support
    Closes: #938106
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * Remove unused lintian-override

 -- Andreas Tille <tille@debian.org>  Mon, 02 Sep 2019 17:03:56 +0200

python-pyvcf (0.6.8+git20170215.476169c-1) unstable; urgency=medium

  * d/watch: use git mode
  * drop unneeded get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Testsuite: autopkgtest-pkg-python
  * Lintian override for Suggests which is correct
  * Lintian override for Python3 modules

 -- Andreas Tille <tille@debian.org>  Sat, 04 Aug 2018 04:03:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: python-pyvcf
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               cython3,
-               python3-all-dev,
-               python3-setuptools,
-               python3-pytest <!nocheck>,
-               python3-pysam <!nocheck>
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ cython3,
+ python3-all-dev,
+ python3-setuptools,
+ python3-pytest <!nocheck>,
+ python3-pysam <!nocheck>,
 Vcs-Browser: https://salsa.debian.org/med-team/python-pyvcf
 Vcs-Git: https://salsa.debian.org/med-team/python-pyvcf.git
 Homepage: https://github.com/jamescasbon/PyVCF
@@ -19,11 +21,13 @@
 
 Package: python3-vcf
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         python3-pysam
-Provides: python3-pyvcf
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-pysam,
+Provides:
+ python3-pyvcf,
 Description: Variant Call Format (VCF) parser for Python 3
  The Variant Call Format (VCF) specifies the format of a text file used
  in bioinformatics for storing gene sequence variations. The format has
@@ -43,9 +47,10 @@
 
 Package: pyvcf
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-vcf
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-vcf,
 Description: helper scripts for Variant Call Format (VCF) parser
  The Variant Call Format (VCF) specifies the format of a text file used
  in bioinformatics for storing gene sequence variations. The format has
@@ -66,7 +71,8 @@
 Package: python-pyvcf-examples
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Example data for Variant Call Format (VCF) parser for Python
  The Variant Call Format (VCF) specifies the format of a text file used
  in bioinformatics for storing gene sequence variations. The format has

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 
 export PYBUILD_BEFORE_TEST = mkdir {build_dir}/vcf; \
 	cp -r {dir}/vcf/test {build_dir}/vcf/
+export PYBUILD_AFTER_TEST = rm -rfv {build_dir}/vcf/test
 
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	# move testdata to separate dir
 	mkdir -p $(examplesdir)
 	mv `find debian/python3-$(PYBUILD_NAME) -type d -name test | head -n 1` $(examplesdir)

=== debian/watch ===
Version: 5

Source: https://github.com/jamescasbon/PyVCF.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 0.6.8+git%cd.%h
